_alpm_event_pacnew_created_t(3)

NAME
_alpm_event_pacnew_created_t -

SYNOPSIS

  Data Fields
alpm_event_type_t type
Type of event.
int from_noupgrade
Whether the creation was result of a NoUpgrade or not.
alpm_pkg_t * oldpkg
Old package.
alpm_pkg_t * newpkg
New Package.
const char * file
Filename of the file without the .pacnew suffix.

Field Documentation

  const char* _alpm_event_pacnew_created_t::file

Filename of the file without the .pacnew suffix.

  int _alpm_event_pacnew_created_t::from_noupgrade

Whether the creation was result of a NoUpgrade or not.

  alpm_pkg_t* _alpm_event_pacnew_created_t::newpkg

New Package.

  alpm_pkg_t* _alpm_event_pacnew_created_t::oldpkg

Old package.

  alpm_event_type_t _alpm_event_pacnew_created_t::type

Type of event.

Referenced by alpm_add_pkg().

Author

Generated automatically by Doxygen for libalpm from the source code.